# Update Scope

PATCH /{scopeId}

#### Description

Updates an existing scope with new values, modifying its permissions, boundaries, or other defined attributes.

Endpoint: PATCH /{scopeId}
Version: 1.0
Security: oauth2

## Path parameters:

  - `scopeId` (string, required)
    Unique identifier of the scope to update.

## Request fields (application/json):

  - `id` (string, required)
    The unique identifier for the scope within the organization
    Example: "f7cc82f5-cd53-43b7-986a-3de2fa327965"

  - `name` (string)
    The name of the scope
    Example: "Updated Scope"

  - `owner` (string)
    The unique identifier of the user who owns the scope
    Example: "23b806db-bad2-4f7a-b8d1-ac117790999b"

  - `description` (string)
    The description of the scope
    Example: "Scope description"

  - `status` (string)
    The status of the scope within the organization
    Enum: "active", "archived"

  - `customFields` (array)
    Example: [{"fieldId":"ceb912ab-519b-11ee-a644-522476618ae8","textValue":"Antonio Moreno"}]

  - `customFields.fieldId` (string)
    Unique identifier for the custom field

  - `customFields.textValue` (string)
    Value if the field type is text

  - `customFields.numberValue` (number)
    Value if the field type is number

  - `customFields.dateValue` (string)
    Value if the field type is date

  - `customFields.userValue` (string)
    Value if the field type is user

  - `customFields.selections` (array)
    List of values for textMultiSelect

## Response 200 fields (application/json):

  - `id` (string)
    The unique identifier for the scope within the organization
    Example: "cb1a06f4-8ed9-4614-a17b-f8671194687e"

  - `name` (string)
    Name of the scope
    Example: "Acme"

  - `owner` (string)
    The unique identifier of the user who owns the scope
    Example: "402f37f8-6054-4138-be1f-9b22ec08a86b"

  - `description` (string)
    Description of the scope
    Example: "The Acme Corp scope"

  - `parentId` (string)
    The unique identifier for the scope's parent, or null for a top-level scope
    Example: "b38f3039-eaa6-4d2a-948d-821a01c79185"

  - `pathIds` (array)
    The unique identifiers for the scope's parents, starting from the top-most scope
    Example: ["6ff2fae7-02a8-4862-bf0c-61dbc0c33c23","cb1a06f4-8ed9-4614-a17b-f8671194687e"]

  - `pathNames` (array)
    Names of the scope's parents, starting from the top-most scope
    Example: ["Acme-Parent","Acme"]


